@charset "utf-8";
@import '../css/normalize.min.css' layer(reset);

@font-face {
    font-family: 'Luciole';
    src: url('../fonts/Luciole-Regular.eot');
    src: url('../fonts/Luciole-Regular.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Luciole-Regular.woff2') format('woff2'),
        url('../fonts/Luciole-Regular.woff') format('woff'),
        url('../fonts/Luciole-Regular.ttf') format('truetype'),
        url('../fonts/Luciole-Regular.eot'),
        url('../fonts/Luciole-Regular.svg#Luciole-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
    text-rendering: optimizeLegibility;
}

@font-face {
    font-family: 'Timepiece';
    font-style: normal;
    font-weight: normal;
    font-display: swap;
    src: url('../fonts/Timepiece.woff2') format('woff2'),
        url('../fonts/Timepiece.woff') format('woff'),
        url('../fonts/Timepiece.otf') format('opentype'),
        url('../fonts/Timepiece.ttf') format('truetype');

}

:root {
    --brown: rgba(105, 42, 6, 0.8);
    --brownC: rgba(183, 135, 108, 0.857);
    --silver: rgba(192, 192, 192, 0.2);
    --white: rgba(250, 250, 250, 1);
    --ciel: rgb(181, 199, 249);
    --black: rgba(0, 0, 0, 0.8);
    --red: rgba(255, 0, 0, 0.8);
    --green: rgba(9, 228, 9, 0.836);
    --azure: rgba(240, 255, 255, 0.5);
    --aqua: rgba(0, 255, 255, 0.5);
    --blue: rgba(0, 0, 255, 0.8);
    --ardoise: rgba(66, 66, 66, 1);
    --or: rgba(255, 238, 0, 1);
    --shadow: 0.1em 0.1em 0.2em;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

*[hidden],
.hidden {
    display: none;
}

html {
    font-size: 62.5%;
    text-size-adjust: 100%;
    line-height: 1.7rem;
    background: var(--azure);
    text-shadow: 1px 1px 2px var(--black);
}

body {
    font-family: "Luciole", "Timepiece", "Times New Roman", sans-serif, serif, Times;
    margin: 0 auto;
    padding: 0;
    font-size: 1.6rem;
    line-height: 1.7rem;
}

.dark {
    background-color: var(--black);
    color: var(--white);
}

a,
h1,
h2,
h3,
h4,
legend,
button,
.botton {
    margin: auto;
    font-family: 'Timepiece';
    line-height: 1.9rem;
    font-size: 18px;
    font-size: 1.8rem;
}

.font {
    font-family: 'Timepiece';
}

.fontx2 {
    font-family: 'Timepiece';
    font-size: x-large;
}

h1 {
    line-height: 2.1rem;
    font-size: 20px;
    font-size: 2.0rem;
    text-align: center;
}

h2 {
    line-height: 2.0rem;
    font-size: 19px;
    font-size: 1.9rem;
    text-align: center;
}

strong {
    font-weight: bold;
    line-height: 2.1rem;
    font-size: 20px;
    font-size: 2.0rem;
    text-align: center;
}

.strongx {
    font-weight: bold;
    line-height: 3.1rem;
    font-size: 30px;
    font-size: 3.0rem;
    font-size: xx-large;
    text-align: center;
}

b {
    font-weight: bold;
    line-height: 1.7rem;
    font-size: 17px;
    font-size: 1.7rem;
    text-align: center;
}

p {
    margin: 1em;
    margin-bottom: 5px;
    margin-top: 5px;
}

.u {
    text-decoration: underline;
}

hr {
    height: 1px;
    margin: 0.5rem 0;
    padding: 0;
    background-color: var(--azure);
    border: 0;
}



img,
input[type='image'],
video,
embed,
iframe,
marquee,
object,
table {
    aspect-ratio: attr(width) / attr(height);
    width: var(--max);
    height: auto;
}

img {
    max-width: var(--max);
    display: block;
    width: var(--max);
    object-fit: cover;
    aspect-ratio: auto 3/4;
    height: auto;
    margin: auto;

}

.green {
    color: var(--green);
    text-shadow: 1px 1px 2px var(--white);
}

.red {
    color: var(--red);
    text-shadow: 1px 1px 2px var(--white);
}

.black {
    color: var(--black);
    text-shadow: 1px 1px 2px var(--white);
}

.white {
    color: var(--white);
    text-shadow: 1px 1px 2px var(--black);
}

.blue {
    color: var(--blue);
    text-shadow: 1px 1px 2px var(--white);
}

.or {
    color: var(--or);
    text-shadow: 1px 1px 2px var(--white);
}

a,
.botton {
    text-align: center;
    margin: 0.1rem;
    color: var(--white);
    border: solid 0.2rem var(--black);
    text-decoration: none;
    background-color: var(--silver);
    text-shadow: var(--azure) 0.1em 0.1em 0.2em;
    box-shadow: var(--white) 0.1em 0.1em 0.2em;
}

a:hover,
.botton:hover {
    -webkit-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
    text-decoration: underline;
    text-shadow: var(--white) 0.1em 0.1em 0.2em;
    box-shadow: var(--azure) 0.1em 0.1em 0.2em;
}

.botton2 {
    text-align: center;
    margin: 0.2rem;
    color: var(--black);
    border: solid 0.2rem var(--black);
    text-decoration: none;
    background-color: var(--azure);

}

.botton2:hover {
    -webkit-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
    text-decoration: underline;
}

button {
    margin-top: 0.5rem;
    padding: 0.2rem;
    font-size: 1.8rem;
    color: var(--black);
    background: var(--azure);
    border: 0.3rem solid var(--black);
    border-radius: 0.5rem;
    text-shadow: var(--azure) 0.1em 0.1em 0.2em;
    box-shadow: var(--white) 0.1em 0.1em 0.2em;
}

.botton {
    padding: .2rem;
    font-size: 1.8rem;
    border-radius: 0.5rem;
    text-shadow: var(--azure) 0.1em 0.1em 0.2em;
    box-shadow: var(--white) 0.1em 0.1em 0.2em;
}

button:hover {
    color: var(--black);
    background: var(--white);
    text-shadow: var(--white) 0.1em 0.1em 0.2em;
    box-shadow: var(--azure) 0.1em 0.1em 0.2em;
    transition: 0s linear .05s;
}


/*
 *anniation ecran pub dans le toit
 *
 */

@-webkit-keyframes display {
    0% {
        -webkit-transform: translateX(300px);
        transform: translateX(300px);
        opacity: 0;
    }

    25% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 0;
    }

    50% {
        z-index: 0;
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }

    75% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 0;
    }

    100% {
        -webkit-transform: translateX(-300px);
        transform: translateX(-300px);
        opacity: 0;
    }
}

@keyframes display {
    0% {
        -webkit-transform: translateX(300px);
        transform: translateX(300px);
        opacity: 0;
    }

    25% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 0;
    }

    50% {
        z-index: 0;
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }

    75% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 0;
    }

    100% {
        -webkit-transform: translateX(-300px);
        transform: translateX(-300px);
        opacity: 0;
    }
}

.toit {
    margin: auto;
    position: relative;
    background-color: var(--brown);
    width: 99%;
    height: 80px;
    max-height: 10%;
    text-align: center;
    margin-bottom: .3px;
    background-image: url('../theme/bois.png');
    background-size: cover;
}

.pub div {
    width: 99%;
    max-height: 6%;
    position: absolute;
    top: 4%;
    z-index: -1;
    -webkit-animation: display 20s infinite;
    animation: display 20s infinite;

}

.pub img {
    max-width: 99%;
    max-height: 3%;
    top: 1%;
    z-index: -1;
}

.pub div>a {
    margin: auto;
    padding: 0;
    color: var(--white);
    border: 0;
    background-color: none;
}


div:nth-child(0) {
    -webkit-animation-delay: 1s;
    animation-delay: 1s;
}

div:nth-child(1) {
    -webkit-animation-delay: 10s;
    animation-delay: 10s;
}

div:nth-child(2) {
    -webkit-animation-delay: 15s;
    animation-delay: 15s;
}

div:nth-child(3) {
    -webkit-animation-delay: 20s;
    animation-delay: 20s;
}

/* messege erreur */

.alert,
.alerte,
.alert2,
.resulta {
    display: block;
    margin: auto;
    min-width: 40%;
    max-width: 80%;
    text-align: center;
    padding: 1rem;
    border-radius: 0.5rem;
}

.resulta {
    background-color: var(--silver);
}

.fblanc {
    background-color: var(--white);
    padding: 0.3rem;
    border-radius: 0.5rem;
}

.fnoir {
    background-color: var(--black);
    padding: 0.3rem;
    border-radius: 0.5rem;
}

.fvert {
    background-color: var(--green);
    padding: 0.3rem;
    border-radius: 0.5rem;
}

.fbleu {
    background-color: var(--blue);
    padding: 0.3rem;
    border-radius: 0.5rem;
}

.bule,
.bulle {
    color: var(--black);
    background-color: var(--white);
    padding: 1rem;
    position: relative;
    -moz-border-radius: 50% / 10%;
    -webkit-border-radius: 50% / 10%;
    border-radius: 60% / 10%;
    min-width: 40%;
    max-width: 90%;
    display: block;
    margin: auto;
    text-shadow: 1px 1px 2px var(--ciel);
}

.bulle::after {
    content: "";
    border-left: 30px solid transparent;
    border-right: 30px solid transparent;
    border-top: 40px solid var(--white);
    position: absolute;
}

.bulle a {
    color: var(--black);
    border: initial;
}

.success {
    background-color: var(--green);
    color: var(--white);
}

.danger {
    background-color: var(--red);
    color: var(--white);
}

.info {
    background-color: var(--blue);
    color: var(--white);
}

.inf {
    background-color: var(--ciel);
    color: var(--white);
}

.gris {
    background-color: var(--azure);
    color: var(--white);
}

/* header*/

.container {
    z-index: 10;
    margin: auto;
    background-color: var(--brown);
    width: 99%;
    height: 99%;
    background-image: url('../theme/bois.png');
    background-size: cover;
    margin-bottom: 60px;
}

.header {
    padding: 1em;
    border-top: solid 2rem var(--brown);
    top: 1px;
}

.header h1 {
    margin: 0;
}

.header nav {
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    padding: 0.5em;
    background-color: var(--silver);
    position: fixed;
    bottom: 0;
    left: 0;
    width: 99%;
    z-index: 9;
}

.header nav a {
    line-height: 1.8rem;
    font-size: 17px;
    color: var(--black);
    border: dashed 0.2em var(--brown);
    padding: 0.5rem;
    background-color: var(--azure);
    border-radius: .5rem;
    flex: auto;
}

/* main */
.horloge {
    margin: 2%;
    width: 98%;
    text-align: center;
}

.time {
    font-size: 31px;
    font-size: 3.1rem;
}

main {
    background-color: var(--white);
}

.main {
    /*color: var(--black);*/
    margin: auto;
    width: 99%;
    border: solid 1px var(--ardoise);
    border-radius: .5rem;
}

.centre {
    padding: .5em;
    margin: auto;
    max-width: 99%;
    color: var(--white);
    background-color: var(--ardoise);
    border: solid .5rem var(--silver);
    box-shadow: 0.2rem 1rem 1rem var(--azure);
    border: solid 1px var(--azure);
    border-radius: .5rem;
}

.center {
    margin: auto;
    text-align: center;
}

section {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column wrap;
    flex-flow: column wrap;
    border-radius: .5rem;
    max-width: 99%;
}

section main {
    background-color: initial;
    padding: 2rem;
}

article,
.trophee {
    margin: auto;
    background-color: var(--silver);
    padding: .2rem;
    margin: .2rem;
    border-radius: .5rem;
    max-width: 99%;
    height: auto;
    -webkit-box-shadow: .2rem var(--ardoise);
    box-shadow: .2rem var(--ardoise);
}

.trophee {
    display: flex;
}

.articles {
    margin: auto;
    width: 98%;
}

.reduit {
    max-width: 80%;
    height: auto;
    max-height: 40%;
}

.medium {
    max-width: 60%;
    height: auto;
    max-height: 20%;
}

.mini {
    max-width: 40%;
    height: auto;
    max-height: 10%;
}

#compressImg {
    display: none;
    max-width: 30%;
}

.invisibleDark {
    margin: auto;
    text-align: center;
    font-weight: bold;
    line-height: 2.0rem;
    font-size: 20px;
    font-size: 2.0rem;
    color: var(--ardoise);
}

.photo {
    border: outset .2rem var(--silver);
    border-radius: 10%;
    -webkit-box-shadow: .5rem .5rem .1rem .1rem var(--silver);
    box-shadow: .5rem .5rem .1rem .1rem var(--silver);
}

.card,
.cards>* {
    padding: 0.2rem;
    border: 0.1em solid var(--black);
    border-radius: 0.5rem;
    margin: auto;
    width: 98%;
}

form {
    width: auto;
    margin: 0 auto;
}

canvas {
    border: 1px solid var(--black);
    max-width: 100%;
    max-height: 100%;
}

ul {
    list-style: none;
}

li {
    border-top: 0.2rem solid var(--silver);
}

table {
    counter-reset: case;
    width: 99%;
    overflow-x: auto;
    display: block;
}

#score td:first-child:before {
    counter-increment: case;
    content: counter(case);
}

caption,
th,
td {
    border: 2px solid var(--black);
    padding: 5px;
}

td {
    overflow: hidden;
}

thead {
    border-bottom-style: solid;
    border-color: var(--black);
    background: var(--silver);
}

tfoot {
    border-top-style: solid;
    border-color: var(--black);
}

tbody tr:nth-child(odd) {
    background: var(--black);
}

tbody tr:nth-child(even) {
    background: var(--silver);
}

fieldset {
    max-width: 98%;
    margin-top: 2em;
    margin-bottom: 2em;
    padding: 1em;
    font-size: 1.6rem;
    border: solid 1px var(--black);
    border-radius: 0.5em;
    -webkit-box-shadow: .2rem .2rem .2rem .2rem var(--silver);
    box-shadow: .2rem .2rem .2rem .2rem var(--silver);
}

.indices {
    margin: auto;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    max-width: 98%;
}

.indice {
    text-align: center;
    color: var(--white);
    background: var(--green);
    border: 0.3rem solid var(--red);
    border-radius: 0.5rem;
    top: 5PX;
    position: fixed;
    min-width: 30%;
    max-width: 90%;
    z-index: 10;
}

.indiceInvisible {
    visibility: hidden;
    display: none;
}

.indiceItalic {
    font-style: italic;
}

legend {
    text-align: center;
    padding: 0.8rem;
    border-radius: 0.5rem;
    border: 0.3rem solid var(--white);
    background: var(--silver);
}

/* footer */

.footer,
footer {
    margin: .5rem;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    -ms-flex-pack: distribute;
    justify-content: space-around;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    min-height: 20%;
    width: 99%;
    text-align: center;
    padding: 0.5rem;
}

.field {
    max-width: 99%;
    padding: .9em;
    border-color: var(--black);
}

.footer a {
    margin: auto;
    padding: 0.5rem;
    -webkit-box-shadow: initial;
    box-shadow: initial;
    background-color: initial;
    color: initial;
    border: initial;
}

.footer fieldset {
    width: 95%;
}

.footer nav {
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: raw;
    flex-direction: raw;
    -ms-flex-pack: distribute;
    justify-content: space-around;
}

.sta a {
    color: initial;
    border: initial;
    text-decoration: none;
    background-color: initial;
}

input,
select {
    width: auto;
    max-width: 95%;
    min-width: 5%;
    height: auto;
    padding: 0.5rem;
    border-radius: 0.5rem;

}

textarea {
    width: 99%;
    max-width: 95%;
    min-width: 25%;
    height: auto;
    padding: 0.5rem;
    border-radius: 0.5rem;
    min-height: 3em;
}

input:checked+label {
    font-size: 1.8rem;
    line-height: 1.9rem;
    color: var(--blue);
    background: var(--white);
    box-shadow: 0 0 0 3px var(--green);
}

input[type="checkbox"],
input[type="radio"] {
    width: 1.7rem;
    height: 1.7rem;
}

input[type="radio"]:checked {
    box-shadow: 0 0 0 3px var(--green);
}

input[type="checkbox"]:checked {
    box-shadow: 0 0 0 2px var(--green);
}

option:checked {
    box-shadow: 0 0 0 3px var(--green);
    color: var(--blue);
}

.star {
    color: gray;
    /* Couleur de l'étoile vide */
}

.star .filled {
    color: blue;
    /* Couleur de l'étoile pleine */
}

.star:nth-child(-n+2).filled {
    color: hwb(0 0% 0%);
    /* Couleur de l'étoile pleine pour les 2 premières étapes */
}

.star:nth-child(n+3):nth-child(-n+4).filled {
    color: orange;
    /* Couleur de l'étoile pleine pour les étapes 3 à 6 */
}

.star:nth-child(n+5):nth-child(-n+8).filled {
    color: yellow;
    /* Couleur de l'étoile pleine pour les étapes 7 à 10 */
}

.star:nth-child(n+9):nth-child(-n+12).filled {
    color: green;
    /* Couleur de l'étoile pleine pour les étapes 11 à 14 */
}

.star:nth-child(n+13).filled {
    color: blue;
    /* Couleur de l'étoile pleine pour la dernière étape */
}

.livre {
    width: 99%;
    background-color: var(--silver);
    color: var(--white);
}

.livre a {
    background-color: var(--azure);
    color: var(--white);
}

.lyon {
    background-image: url('../theme/lyon.png');
    background-size: cover;
}

.in {
    border: solid 0.2rem var(--azure);
    padding: 0.2rem;
    -moz-border-radius: 20%;
    -webkit-border-radius: 20%;
    border-radius: 20%;
    text-align: center;
}

.etagere {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 20px;
    gap: 10px;
    margin: auto;
    width: 90%;
    padding: 5px;
    text-align: center;
    background-image: url('../theme/bois.png');
    background-size: cover;
    border: 3px solid var(--brown);
    border-bottom: 30px dashed var(--brownC);
}

.bureau {
    margin: auto;
    width: 90%;
    padding: 5px;
    margin: 5px;
    color: var(--black);
    background-image: url('../theme/bois.png');
    background-size: cover;
    margin: auto;
    text-align: center;
    border: 2px solid var(--brown);
}


.livres {
    color: var(--black);
    width: 100px;
    height: 130px;
    background: linear-gradient(to right, var(--brownC), var(--azure));
    border: 1px solid var(--black);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    position: relative;

}

.livres::before,
.livres::after {
    content: '';
    position: absolute;
    width: 90%;
    height: 30px;

}

.livres::before {
    top: 0;
    background: url('../theme/haut_tranche.png') center/cover;
}

.livres::after {
    bottom: 0;
    background: url('../theme/bas_tranche.png') center/cover;
}

.pageLivre {
    display: none;
    background-color: var(--brownC);
    padding: 20px;
    width: 80%;
    margin: auto;
    text-align: center;
    border: 4px solid var(--brown);
    background-image: url('../theme/bg1.png');
}

.pageLivre a {
    -webkit-box-shadow: initial;
    box-shadow: initial;
    background-color: initial;
    color: initial;
    border: initial;
}

.pageLivre img {
    max-width: 90%;
    height: auto;
}

.pageLivre button {
    margin-top: 10px;
}

.inverse-text {
    display: inline-block;
    transform: rotateZ(180deg);
}